#!/usr/bin/php -q

// Jeremy Tirrell Commercial Solutions Inc 29-05-2009

<?php
 $parseDirs             = array('/mnt/backup/');
 $backupIdentifier      = 'xva';                                                        //Only grab filenames that contain this string
 $days                  = 1;                                                            //Days of backup files to keep
 print("Backup file deletion started at ". date("d-m-Y h:i:s A")."\n");

foreach($parseDirs as $parseDir){                                                       //Parse files from every dir in the array
 print("Parsing ". $parseDir ." for files older then " . $days . " days old\n");
 $handler               = opendir($parseDir);                                           //Open up a new direcotry handle
 while ($file = readdir($handler)){                                                     //For each file in the directory
  if (strstr($file,'xva')){                                                             //Check for the file identifier
   $filelist[]=$file;                                                                   //Copy the name of the file into an array
  }
 }
 closedir($handler);                                                                    //Close the file handler

 foreach ($filelist as $filename){                                                      //For each file name we have
  $date         = substr($filename,-6,6);                                               //Get the date off the filename
  $datestamp    = mktime(0,0,0,substr($date,2,2),substr($date,0,2),substr($date,4,2));  //Turn the date into a timestamp
  if ($datestamp < (time()-($days*86400))){                                             //Check if the file is older then the allows days
   print ($filename . ": is more then ". $days . " days old and will be removed\n");    //Output the info
   unset($output);                                                                      //Clear the output array from the last run
   exec ("rm -fv " . $parseDir . $filename,$output);                                    //Remove the file
   print($output[0]."\n");                                                              //Print the sucess or failure of the remove
  }
 }
 unset($filelist);                                                                      //wipe the list of files
}
 print("Backup file deletion ended at ". date("d-m-Y h:i:s A")."\n");


?>
